> ## Documentation Index
> Fetch the complete documentation index at: https://developers.voxys.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List channel messages

> Returns messages in an internal channel.



## OpenAPI

````yaml /api-reference/voxys_projects_swagger.json get /api/v1/accounts/{account_id}/internal_channels/{id}/messages
openapi: 3.1.0
info:
  title: Voxys Connect – Extended Features
  description: >-
    API documentation for Voxys Connect extended features: Campaigns, WhatsApp
    Templates & Flows, Appointments, Scheduled Messages, Projects, Internal
    Channels, Customer Pulse, and Reports.
  version: 1.0.0
  contact:
    email: support@voxys.ai
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://connect.voxys.ai
security:
  - userApiKey: []
tags:
  - name: Projects
    description: Manage CRM projects and tasks
  - name: Internal Channels
    description: Team communication channels and internal messaging
paths:
  /api/v1/accounts/{account_id}/internal_channels/{id}/messages:
    get:
      tags:
        - Internal Channels
      summary: List channel messages
      description: Returns messages in an internal channel.
      operationId: listInternalChannelMessages
      parameters:
        - name: page
          in: query
          schema:
            type: integer
            default: 1
      responses:
        '200':
          description: Messages list
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/internal_channel_message'
        '401':
          $ref: '#/components/responses/unauthorized'
        '404':
          $ref: '#/components/responses/not_found'
components:
  schemas:
    internal_channel_message:
      type: object
      properties:
        id:
          type: integer
        channel_id:
          type: integer
        content:
          type: string
        author_id:
          type: integer
        pinned:
          type: boolean
        attachments:
          type: array
          items:
            type: string
        created_at:
          type: string
          format: date-time
  responses:
    unauthorized:
      description: Authentication failed – invalid or missing api_access_token
    not_found:
      description: Resource not found
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        All API requests must include the `api_access_token` header with a valid
        agent or administrator token.

````